All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
PMultiPartList Class Reference

`#include <mime.h>`

Inheritance diagram for PMultiPartList:

## Public Member Functions

| PMultiPartList ()
bool | Decode (const PString &body, const PStringToString &contentInfo)
Public Member Functions inherited from PList< PMultiPartInfo >
| PList ()
| Create a new, empty, list. More...
virtual PObject * | Clone () const
| Make a complete duplicate of the list. More...
PMultiPartInfo & | operator[] (PINDEX index) const
| Retrieve a reference to the object in the list. More...
iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const
iterator | rbegin ()
const_iterator | rbegin () const
iterator | rend ()
const_iterator | rend () const
PMultiPartInfo & | front () const
PMultiPartInfo & | back () const
void | erase (const iterator &it)
void | erase (const const_iterator &it)
Public Member Functions inherited from PAbstractList
virtual Comparison | Compare (const PObject &obj) const
| Get the relative rank of the two lists. More...
PINLINE | PAbstractList ()
| Create a new, empty, list. More...
virtual PBoolean | SetSize (PINDEX newSize)
| This function is meaningless for lists. More...
virtual PINDEX | Append (PObject *obj)
| Append a new object to the collection. More...
virtual PINDEX | Insert (const PObject &before, PObject *obj)
| Insert a new object immediately before the specified object. More...
virtual PINDEX | InsertAt (PINDEX index, PObject *obj)
| Insert a new object at the specified ordinal index. More...
virtual PBoolean | Remove (const PObject *obj)
| Remove the object from the collection. More...
virtual PObject * | RemoveAt (PINDEX index)
| Remove the object at the specified ordinal index from the collection. More...
virtual PBoolean | SetAt (PINDEX index, PObject *val)
| Set the object at the specified ordinal position to the new value. More...
virtual PBoolean | ReplaceAt (PINDEX index, PObject *val)
| Set the object at the specified ordinal position to the new value. More...
virtual PObject * | GetAt (PINDEX index) const
| Get the object at the specified ordinal position. More...
virtual PINDEX | GetObjectsIndex (const PObject *obj) const
| Search the collection for the specific instance of the object. More...
virtual PINDEX | GetValuesIndex (const PObject &obj) const
| Search the collection for the specified value of the object. More...
Public Member Functions inherited from PCollection
| PCollection (PINDEX initialSize=0)
| Create a new collection. More...
virtual void | PrintOn (ostream &strm) const
| Print the collection on the stream. More...
virtual void | RemoveAll ()
| Remove all of the elements in the collection. More...
PINLINE void | AllowDeleteObjects (PBoolean yes=true)
| Allow or disallow the deletion of the objects contained in the collection. More...
void | DisallowDeleteObjects ()
| Disallow the deletion of the objects contained in the collection. More...
Public Member Functions inherited from PContainer
| PContainer (PINDEX initialSize=0)
| Create a new unique container. More...
| PContainer (const PContainer &cont)
| Create a new refernce to container. More...
PContainer & | operator= (const PContainer &cont)
| Assign one container reference to another. More...
virtual | ~PContainer ()
| Destroy the container class. More...
virtual PINDEX | GetSize () const
| Get the current size of the container. More...
PBoolean | SetMinSize (PINDEX minSize)
| Set the minimum size of container. More...
virtual PBoolean | IsEmpty () const
| Determine if the container is empty. More...
PBoolean | IsUnique () const
| Determine if container is unique reference. More...
virtual PBoolean | MakeUnique ()
| Make this instance to be the one and only reference to the container contents. More...
Public Member Functions inherited from PObject
virtual | ~PObject ()
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Additional Inherited Members

Public Types inherited from PList< PMultiPartInfo >
typedef PMultiPartInfo | value_type
Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...
Static Public Member Functions inherited from PObject
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...
static const char * | Class ()
| Get the name of the class as a C string. More...
Protected Types inherited from PAbstractList
typedef PListElement | Element
Protected Member Functions inherited from PList< PMultiPartInfo >
| PList (int dummy, const PList *c)
Protected Member Functions inherited from PAbstractList
PINLINE PObject & | GetReferenceAt (PINDEX index) const
| Get the object at the specified ordinal position. More...
PBoolean | SetCurrent (PINDEX index, PListElement *&lastElement) const
| Move the internal "cursor" to the index position specified. More...
PObject * | RemoveElement (PListElement *element)
Protected Member Functions inherited from PCollection
PINLINE | PCollection (int dummy, const PCollection *coll)
| Constructor used in support of the Clone() function. More...
Protected Member Functions inherited from PContainer
| PContainer (int dummy, const PContainer *cont)
| Constructor used in support of the Clone() function. More...
| PContainer (PContainerReference &reference)
| Construct using static PContainerReference. More...
virtual void | DestroyContents ()=0
| Destroy the container contents. More...
virtual void | AssignContents (const PContainer &c)
| Copy the container contents. More...
void | CopyContents (const PContainer &c)
| Copy the container contents. More...
void | CloneContents (const PContainer *src)
| Create a duplicate of the container contents. More...
void | Destruct ()
| Internal function called from container destructors. More...
virtual void | DestroyReference ()
| Destroy the PContainerReference instance. More...
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...
Protected Attributes inherited from PAbstractList
PListInfo * | info
Protected Attributes inherited from PContainer
PContainerReference * | reference

## Constructor & Destructor Documentation

PMultiPartList::PMultiPartList | ( |  | ) |

inline

## Member Function Documentation

bool PMultiPartList::Decode | ( | const PString & | body,
|  | const PStringToString & | contentInfo
| ) |  |

Parameters

  body | Body to extract parts from
  contentInfo | Content-Type info as decoded from PMIMEInfo::GetComplex()

The documentation for this class was generated from the following file:

- mime.h